package fr.plnech.lifelogger.model

import java.util.*
import kotlin.collections.HashMap

private const val NONE: Int = Int.MIN_VALUE

data class DataPoint(val date: Date = Date(), private val metadata: HashMap<String, Any> = HashMap()) {

    constructor(name: String, count: Int = NONE) : this() {
        metadata["name"] = name
        metadata["count"] = count
    }

    private val name: String
        get() = metadata["name"] as String

    private val count: Int?
        get() = metadata["count"].let {
            if (it == NONE) null else it
        }  as Int?

    override fun toString(): String {
        val b = StringBuilder(name)
        count?.let { b.append("($count)")}
        return b.toString()
    }
}